Page MenuHomePhabricator

Run refreshImageMetadata.php for new media type of DjVu files
Closed, ResolvedPublic

Description

In T212852 the mediatype for new uploaded djvu was changed.

To fix existing files a maintenance script has to run on all wikis:

foreachwiki refreshImageMetadata.php --force --mediatype BITMAP --mime image/vnd.djvu

Thanks.

T140543 is not a problem here

Event Timeline

Umherirrender triaged this task as Normal priority.
Umherirrender removed Jdforrester-WMF as the assignee of this task.Feb 8 2019, 5:48 PM

Mentioned in SAL (#wikimedia-operations) [2019-02-08T22:56:35Z] <Reedy> running refreshImageMetadata.php --mediatype BITMAP --mime image/vnd.djvu against commonswiki on mwmaint1002 T215635

Mentioned in SAL (#wikimedia-operations) [2019-02-08T23:23:32Z] <Reedy> running refreshImageMetadata.php --mediatype BITMAP --mime image/vnd.djvu --force against commonswiki on mwmaint1002 T215635 (this time we mean it)

Jdforrester-WMF assigned this task to Reedy.
Jdforrester-WMF moved this task from To Do to Monitoring on the SDC Engineering board.
Reedy updated the task description. (Show Details)Feb 9 2019, 8:32 PM
Reedy updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-02-09T21:41:15Z] <Reedy> refreshImageMetadata.php for commonswiki done T215635

Mentioned in SAL (#wikimedia-operations) [2019-02-09T21:42:00Z] <Reedy> running foreachwiki refreshImageMetadata.php --mediatype BITMAP --mime image/vnd.djvu --force on mwmaint1002 T215635

Reedy closed this task as Resolved.Feb 9 2019, 10:21 PM

Done on all wikis

Stats will obviously be out of date until they get updated

Thanks. Will wait for the next regular run to get new stats on https://commons.wikimedia.org/wiki/Special:MediaStatistics

Reedy added a comment.Feb 9 2019, 10:42 PM

Thanks. Will wait for the next regular run to get new stats on https://commons.wikimedia.org/wiki/Special:MediaStatistics

For reference

wikiadmin@10.64.48.150(commonswiki)> select count(*) from image where img_media_type = 'BITMAP' and img_major_mime = 'image' and img_minor_mime = 'vnd.djvu';
+----------+
| count(*) |
+----------+
|        0 |
+----------+
1 row in set (0.00 sec)

wikiadmin@10.64.48.150(commonswiki)>